Bug 154549 - [MAINTAINER UPDATE] audio/musicpd Update to 1.16.1
Summary: [MAINTAINER UPDATE] audio/musicpd Update to 1.16.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-06 12:20 UTC by Chris Rees
Modified: 2011-02-06 18:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2011-02-06 12:20:07 UTC
	- Update to 1.16.1
	- Fix breakage on < 8 by replacing nan[f] calls with NAN macro

	PR:
	Submitted by:	Chris Rees (utisoft_at_gmail.com) (maintainer)

	Tested on i386 for
	7.3:	http://tinderbox.bayofrum.net/index.php?action=display_mar
	8.1:	http://tinderbox.bayofrum.net/index.php?action=display_markup_log&build=8.1-amnesiac&id=249
	9:	http://tinderbox.bayofrum.net/index.php?action=display_markup_log&build=9-amnesiac&id=249

Fix: Also at http://www.bayofrum.net/~chris/patches/musicpd-0_16_1.diff

	File removed: files/patch-doc_mpdconf.example



-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--vcSw8UbF0gYowXNpU4SGIXp4lii7vxBSknOCrySJrG9GFlF6
Content-Type: text/plain; name="musicpd-0_16_1.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="musicpd-0_16_1.diff"

Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/audio/musicpd/Makefile,v
retrieving revision 1.58
diff -u -r1.58 Makefile
--- Makefile	16 Dec 2010 16:40:15 -0000	1.58
+++ Makefile	6 Feb 2011 12:07:05 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	musicpd
-PORTVERSION=	0.15.15
+PORTVERSION=	0.16.1
 CATEGORIES=	audio ipv6
 MASTER_SITES=	SF/${PORTNAME}/mpd/${PORTVERSION}
 DISTNAME=	mpd-${PORTVERSION}
@@ -227,6 +227,12 @@
 post-patch:
 	@${REINPLACE_CMD} -e "s/%%MPDDIR%%/${PREFIX:C/\//\\\//g}\/${MPDDIR:C/\//\\\//g}/g" -e "s/%%MPDUSER%%/${MPDUSER}/g" \
 		${WRKSRC}/doc/mpdconf.example
+.if (${OSVERSION} < 800000)
+	${REINPLACE_CMD} -e 's/nan[f]\{0,1\}(\"\")/NAN/g' \
+		${WRKSRC}/src/crossfade.c \
+		${WRKSRC}/src/player_thread.c \
+		${WRKSRC}/src/player_control.c
+.endif
 .if defined(NOPORTDOCS)
 	@${REINPLACE_CMD} -e 's|install-docDATA ||' \
 		${WRKSRC}/Makefile.in
Index: distinfo
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/audio/musicpd/distinfo,v
retrieving revision 1.24
diff -u -r1.24 distinfo
--- distinfo	21 Nov 2010 16:06:14 -0000	1.24
+++ distinfo	6 Feb 2011 12:07:05 -0000
@@ -1,2 +1,2 @@
-SHA256 (mpd-0.15.15.tar.bz2) = db6dc242722e3178bcbff6b67ced8caccbb8dcddf867b8ab6bab42d6e55982ab
-SIZE (mpd-0.15.15.tar.bz2) = 391688
+SHA256 (mpd-0.16.1.tar.bz2) = b85ca840e31aea2249ad8e9c5c36f6533fc0f88d357a7441817ccacb1e31df57
+SIZE (mpd-0.16.1.tar.bz2) = 480244
Index: files/patch-src_output_ao__plugin.c
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/audio/musicpd/files/patch-src_output_ao__plugin.c,v
retrieving revision 1.1
diff -u -r1.1 patch-src_output_ao__plugin.c
--- files/patch-src_output_ao__plugin.c	6 Jun 2010 20:39:14 -0000	1.1
+++ files/patch-src_output_ao__plugin.c	6 Feb 2011 12:07:05 -0000
@@ -1,13 +1,12 @@
+$FreeBSD$
 
-$FreeBSD: ports/audio/musicpd/files/patch-src_output_ao__plugin.c,v 1.1 2010/06/06 20:39:14 naddy Exp $
-
---- src/output/ao_plugin.c.orig
-+++ src/output/ao_plugin.c
-@@ -175,6 +175,7 @@
- 	if (audio_format->bits > 16)
- 		audio_format->bits = 16;
+--- src/output/ao_plugin.c.orig	2011-02-05 21:03:39.032765668 +0000
++++ src/output/ao_plugin.c	2011-02-05 21:04:11.006777588 +0000
+@@ -188,6 +188,7 @@
+ 		break;
+ 	}
  
 +	memset(&format, 0, sizeof(format));
- 	format.bits = audio_format->bits;
  	format.rate = audio_format->sample_rate;
  	format.byte_format = AO_FMT_NATIVE;
+ 	format.channels = audio_format->channels;
Comment 1 Martin Wilke freebsd_committer 2011-02-06 12:37:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2011-02-06 18:06:35 UTC
miwi        2011-02-06 18:06:30 UTC

  FreeBSD ports repository

  Modified files:
    audio/musicpd        Makefile distinfo 
    audio/musicpd/files  patch-src_output_ao__plugin.c 
  Removed files:
    audio/musicpd/files  patch-doc_mpdconf.example 
  Log:
  - Update to 1.16.1
  
  PR:             154549
  Submitted by:   maintainer
  Feature safe:   yes
  
  Revision  Changes    Path
  1.59      +7 -1      ports/audio/musicpd/Makefile
  1.25      +2 -2      ports/audio/musicpd/distinfo
  1.3       +0 -90     ports/audio/musicpd/files/patch-doc_mpdconf.example (dead)
  1.2       +6 -7      ports/audio/musicpd/files/patch-src_output_ao__plugin.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2011-02-06 18:06:47 UTC
State Changed
From-To: open->closed

committed.